Loading...
Searching...
No Matches
BfsVisitor< GR > Struct Template Reference

## Detailed Description

template<typename GR>
struct lemon::BfsVisitor< GR >

This class defines the interface of the BfsVisit events, and it could be the base of a real visitor class.

`#include <lemon/bfs.h>`

## Public Member Functions

void | start (const Node &node)
| Called for the source node(s) of the BFS.
void | reach (const Node &node)
| Called when a node is reached first time.
void | process (const Node &node)
| Called when a node is processed.
void | discover (const Arc &arc)
| Called when an arc reaches a new node.
void | examine (const Arc &arc)
| Called when an arc is examined but its target node is already discovered.

## Member Function Documentation

## start()

template<typename GR>

void start | ( | const Node & | node | ) |

inline

This function is called for the source node(s) of the BFS.

## reach()

template<typename GR>

void reach | ( | const Node & | node | ) |

inline

This function is called when a node is reached first time.

## process()

template<typename GR>

void process | ( | const Node & | node | ) |

inline

This function is called when a node is processed.

## discover()

template<typename GR>

void discover | ( | const Arc & | arc | ) |

inline

This function is called when the BFS finds an arc whose target node is not reached yet.

## examine()

template<typename GR>

void examine | ( | const Arc & | arc | ) |

inline

This function is called when an arc is examined but its target node is already discovered.